Bug 828199 - Unable to pair bluetooth mouse, works in F16
Unable to pair bluetooth mouse, works in F16
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-bluetooth (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 08:50 EDT by digimer
Modified: 2014-09-13 15:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 16:38:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description digimer 2012-06-04 08:50:24 EDT
Description of problem:

This might be a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=819203

I've installed F17 x86_64 on my Thinkpad T400s and have not been able to pair my razer orochi bluetooth mouse. When I put my F16 x86_64 HDD back in and boot, the mouse works fine over bluetooth.

When I put the mouse into pairing mode, the bluetooth applet sees the mouse. However, when I click on it and try to pair, it simply says "failed" and I have the option to try again. If I use 'blueman-manager', I can pair the mouse.

This is what is shown in syslog; 



Version-Release number of selected component (if applicable):
============
Jun  3 22:20:27 lework bluetoothd[770]: bluetoothd[770]: Discovery session 0x7f0ab7114aa0 with :1.142 activated
Jun  3 22:20:27 lework bluetoothd[770]: Discovery session 0x7f0ab7114aa0 with :1.142 activated
Jun  3 22:20:31 lework bluetoothd[770]: bluetoothd[770]: Stopping discovery
Jun  3 22:20:31 lework bluetoothd[770]: Stopping discovery
Jun  3 22:20:32 lework udevd[525]: specified group 'plugdev' unknown
Jun  3 22:20:32 lework dbus-daemon[837]: dbus[837]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.142" (uid=1000 pid=13040 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=770 comm="/usr/sbin/bluetoothd -n ")
Jun  3 22:20:32 lework dbus[837]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.142" (uid=1000 pid=13040 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.0" (uid=0 pid=770 comm="/usr/sbin/bluetoothd -n ")
Jun  3 22:21:56 lework udevd[525]: specified group 'plugdev' unknown
Jun  3 22:21:56 lework bluetoothd[770]: bluetoothd[770]: Refusing input device connect: No such file or directory (2)
Jun  3 22:21:56 lework bluetoothd[770]: bluetoothd[770]: Refusing connection from 00:02:76:20:8B:21: setup in progress
Jun  3 22:21:56 lework bluetoothd[770]: Refusing input device connect: No such file or directory (2)
Jun  3 22:21:56 lework bluetoothd[770]: Refusing connection from 00:02:76:20:8B:21: setup in progress
Jun  3 22:22:01 lework udevd[525]: specified group 'plugdev' unknown
Jun  3 22:22:01 lework bluetoothd[770]: bluetoothd[770]: Discovery session 0x7f0ab711d790 with :1.142 activated
Jun  3 22:22:01 lework bluetoothd[770]: Discovery session 0x7f0ab711d790 with :1.142 activated
============

On the mailing list, Jóhann B. Guðmundsson suggested I try 'hciconfig hci0 sspmode 0' but this didn't work, either.

blueman.x86_64                        1.23-2.fc17
bluez.x86_64                          4.99-1.fc17
bluez-cups.x86_64                     4.99-1.fc17
bluez-libs.x86_64                     4.99-1.fc17
gnome-bluetooth.x86_64                1:3.4.0-2.fc17
gnome-bluetooth-libs.x86_64           1:3.4.0-2.fc17

How reproducible:

100%

Steps to Reproduce:
1. Try to pair a razer orochi mouse with a Thinkpad T400s using a fresh install of Fedora 17 x86_64
2.
3.
  
Actual results:

Fails to pair

Expected results:

Pair

Additional info:
Comment 1 Jeroen Beerstra 2012-06-18 14:01:26 EDT
Same here, this is on a selfbuild workstation with a logitech MX5500 bluetooth set:

Jun 18 19:44:29 morphius bluetoothd[4465]: Refusing input device connect: No such file or directory (2)

This is when I try to connect my mouse and after I manually put the Logitech dongle in 'bluetooth mode'. It used to just work(tm) in F15.
Comment 2 Matthias Gehre 2012-11-08 04:28:56 EST
I also got this problem with a bluetooth mouse.
I enabled debug mode in bluetoothd by running it with the "-d" switch.
I use the gnome applet to "setup a new device..." and then choose "Do not pair" from the Pin options menu. Then the gnome applet tells me "Setting up Bluetooth mouse failed".
The complete output during on attempt of pairing is

Nov  8 10:24:34 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:hciops_start_discovery() hci0
Nov  8 10:24:34 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:start_inquiry() hci0 length 8
Nov  8 10:24:34 lapfour bluetoothd[2460]: bluetoothd[2460]: Discovery session 0x7f0b2fd1af80 with :1.98 activated
Nov  8 10:24:34 lapfour bluetoothd[2460]: bluetoothd[2460]: src/adapter.c:session_ref() 0x7f0b2fd1af80: ref=1
Nov  8 10:24:34 lapfour bluetoothd[2460]: Discovery session 0x7f0b2fd1af80 with :1.98 activated
Nov  8 10:24:34 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:set_state() hci0: new state 1
Nov  8 10:24:35 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:hciops_confirm_name() hci0 00:12:A1:63:C8:D1 name_known 1
Nov  8 10:24:45 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:set_state() hci0: new state 3
Nov  8 10:24:45 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:resolve_names() found_dev 1 need_name 0
Nov  8 10:24:45 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:set_state() hci0: new state 0
Nov  8 10:24:45 lapfour bluetoothd[2460]: bluetoothd[2460]: src/adapter.c:adapter_set_discovering() hci0 enabling timer, disc_sessions 1
Nov  8 10:24:46 lapfour bluetoothd[2460]: bluetoothd[2460]: src/adapter.c:session_unref() 0x7f0b2fd1af80: ref=0
Nov  8 10:24:46 lapfour bluetoothd[2460]: bluetoothd[2460]: src/adapter.c:session_remove() Discovery session 0x7f0b2fd1af80 with :1.98 deactivated
Nov  8 10:24:46 lapfour bluetoothd[2460]: bluetoothd[2460]: src/adapter.c:session_remove() Stopping discovery
Nov  8 10:24:46 lapfour bluetoothd[2460]: bluetoothd[2460]: Stopping discovery
Nov  8 10:24:46 lapfour bluetoothd[2460]: Stopping discovery
Nov  8 10:24:46 lapfour bluetoothd[2460]: bluetoothd[2460]: src/adapter.c:adapter_create_device() 00:12:A1:63:C8:D1
Nov  8 10:24:46 lapfour bluetoothd[2460]: bluetoothd[2460]: src/device.c:device_create() Creating device /org/bluez/2460/hci0/dev_00_12_A1_63_C8_D1
Nov  8 10:24:46 lapfour bluetoothd[2460]: bluetoothd[2460]: src/device.c:btd_device_ref() 0x7f0b2fd12cb0: ref=1
Nov  8 10:24:46 lapfour bluetoothd[2460]: bluetoothd[2460]: src/device.c:device_set_temporary() temporary 1
Nov  8 10:24:46 lapfour bluetoothd[2460]: bluetoothd[2460]: src/device.c:bonding_request_new() Requesting bonding for 00:12:A1:63:C8:D1
Nov  8 10:24:46 lapfour bluetoothd[2460]: bluetoothd[2460]: src/device.c:bonding_request_new() Temporary agent registered for 00:12:A1:63:C8:D1 at :1.98:/org/bluez/agent/wizard
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:conn_complete() status 0x00
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: src/adapter.c:adapter_get_device() 00:12:A1:63:C8:D1
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:remote_features_information() hci0 status 0
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:remote_name_information() hci0 status 0
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:link_key_request() hci0 dba 00:12:A1:63:C8:D1
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:get_auth_info() hci0 dba 00:12:A1:63:C8:D1
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:link_key_request() kernel auth requirements = 0x03
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:link_key_request() Matching key not found
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:pin_code_request() hci0 PIN request for 00:12:A1:63:C8:D1
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: src/adapter.c:adapter_get_device() 00:12:A1:63:C8:D1
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: src/device.c:device_request_authentication() Requesting agent authentication for 00:12:A1:63:C8:D1
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:hciops_pincode_reply() hci0 dba 00:12:A1:63:C8:D1
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:auth_complete() hci0 status 5
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:bonding_complete() status 0x05
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: src/device.c:device_bonding_complete() bonding 0x7f0b2fd1c3c0 status 0x05
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: src/device.c:device_cancel_authentication() Canceling authentication request for 00:12:A1:63:C8:D1
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: src/device.c:device_cancel_bonding() Canceling bonding request for 00:12:A1:63:C8:D1
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:hciops_cancel_bonding() hci0
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: src/agent.c:agent_release() Releasing agent :1.98, /org/bluez/agent/wizard
Nov  8 10:24:47 lapfour dbus-daemon[908]: dbus[908]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.98" (uid=1000 pid=2467 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.97" (uid=0 pid=2460 comm="/usr/sbin/bluetoothd -n -d ")
Nov  8 10:24:47 lapfour dbus[908]: [system] Rejected send message, 3 matched rules; type="method_return", sender=":1.98" (uid=1000 pid=2467 comm="bluetooth-wizard ") interface="(unset)" member="(unset)" error name="(unset)" requested_reply="0" destination=":1.97" (uid=0 pid=2460 comm="/usr/sbin/bluetoothd -n -d ")
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: plugins/hciops.c:disconn_complete() handle 12 status 0x00
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: src/event.c:btd_event_disconn_complete()
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: src/adapter.c:adapter_remove_connection()
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: src/adapter.c:adapter_remove_connection() Removing temporary device /org/bluez/2460/hci0/dev_00_12_A1_63_C8_D1
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: src/device.c:device_remove() Removing device /org/bluez/2460/hci0/dev_00_12_A1_63_C8_D1
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: src/device.c:btd_device_unref() 0x7f0b2fd12cb0: ref=0
Nov  8 10:24:47 lapfour bluetoothd[2460]: bluetoothd[2460]: src/device.c:device_free() 0x7f0b2fd12cb0
Comment 3 Martin 2012-11-22 12:51:05 EST
Does anybody still has this problem in updated Fedora 17?

And please, could you guys try reproduce this bug in Fedora 18 Beta RC1?
http://dl.fedoraproject.org/pub/alt/stage/18-Beta-RC1/
Comment 4 Fedora End Of Life 2013-07-03 16:32:50 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-07-31 16:39:02 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.